## org.apache.commons.collections.list
Class AbstractLinkedList.LinkedSubList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              org.apache.commons.collections.list.AbstractLinkedList.LinkedSubList

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.List

Enclosing class:
  AbstractLinkedList

    protected static class AbstractLinkedList.LinkedSubList

extends java.util.AbstractList

The sublist implementation for AbstractLinkedList.

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`protected` `AbstractLinkedList.LinkedSubList(AbstractLinkedList parent, int fromIndex, int toIndex)`

Method Summary
`void` `add(int index, java.lang.Object obj)`
`boolean` `addAll(java.util.Collection coll)`
`boolean` `addAll(int index, java.util.Collection coll)`
`protected void` `checkModCount()`
`void` `clear()`
`java.lang.Object` `get(int index)`
`java.util.Iterator` `iterator()`
`java.util.ListIterator` `listIterator(int index)`
`protected void` `rangeCheck(int index, int beyond)`
`java.lang.Object` `remove(int index)`
`java.lang.Object` `set(int index, java.lang.Object obj)`
`int` `size()`
`java.util.List` `subList(int fromIndexInclusive, int toIndexExclusive)`

Methods inherited from class java.util.AbstractList
`add, equals, hashCode, indexOf, lastIndexOf, listIterator, removeRange`

Methods inherited from class java.util.AbstractCollection
`contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### AbstractLinkedList.LinkedSubList

    protected AbstractLinkedList.LinkedSubList(AbstractLinkedList parent,
                                               int fromIndex,
                                               int toIndex)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.List`
  Specified by:
    `size` in class `java.util.AbstractCollection`

### get

    public java.lang.Object get(int index)

  Specified by:
    `get` in interface `java.util.List`
  Specified by:
    `get` in class `java.util.AbstractList`

### add

    public void add(int index,
                    java.lang.Object obj)

  Specified by:
    `add` in interface `java.util.List`
  Overrides:
    `add` in class `java.util.AbstractList`

### remove

    public java.lang.Object remove(int index)

  Specified by:
    `remove` in interface `java.util.List`
  Overrides:
    `remove` in class `java.util.AbstractList`

### addAll

    public boolean addAll(java.util.Collection coll)

  Specified by:
    `addAll` in interface `java.util.Collection`
  Specified by:
    `addAll` in interface `java.util.List`
  Overrides:
    `addAll` in class `java.util.AbstractCollection`

### addAll

    public boolean addAll(int index,
                          java.util.Collection coll)

  Specified by:
    `addAll` in interface `java.util.List`
  Overrides:
    `addAll` in class `java.util.AbstractList`

### set

    public java.lang.Object set(int index,
                                java.lang.Object obj)

  Specified by:
    `set` in interface `java.util.List`
  Overrides:
    `set` in class `java.util.AbstractList`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  Specified by:
    `clear` in interface `java.util.List`
  Overrides:
    `clear` in class `java.util.AbstractList`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.List`
  Overrides:
    `iterator` in class `java.util.AbstractList`

### listIterator

    public java.util.ListIterator listIterator(int index)

  Specified by:
    `listIterator` in interface `java.util.List`
  Overrides:
    `listIterator` in class `java.util.AbstractList`

### subList

    public java.util.List subList(int fromIndexInclusive,
                                  int toIndexExclusive)

  Specified by:
    `subList` in interface `java.util.List`
  Overrides:
    `subList` in class `java.util.AbstractList`

### rangeCheck

    protected void rangeCheck(int index,
                              int beyond)

### checkModCount

    protected void checkModCount()

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.